com.amazonaws.services.simpleworkflow.model

## Class CloseStatusFilter

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.CloseStatusFilter

All Implemented Interfaces:
  Serializable, Cloneable

    public class CloseStatusFilter
    extends Object
    implements Serializable, Cloneable

Used to filter the closed workflow executions in visibility APIs by their close status.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloseStatusFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloseStatusFilter` `clone()`
`boolean` `equals(Object obj)`
`String` `getStatus()` Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.
`int` `hashCode()`
`void` `setStatus(CloseStatus status)` Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.
`void` `setStatus(String status)` Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CloseStatusFilter` `withStatus(CloseStatus status)` Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.
`CloseStatusFilter` `withStatus(String status)` Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloseStatusFilter

    public CloseStatusFilter()

### Method Detail

#### setStatus

    public void setStatus(String status)

Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

Parameters:
  `status` - Required.
See Also:
  `CloseStatus`

#### getStatus

    public String getStatus()

Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

Returns:
  Required.
See Also:
  `CloseStatus`

#### withStatus

    public CloseStatusFilter withStatus(String status)

Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

Parameters:
  `status` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `CloseStatus`

#### setStatus

    public void setStatus(CloseStatus status)

Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

Parameters:
  `status` - Required.
See Also:
  `CloseStatus`

#### withStatus

    public CloseStatusFilter withStatus(CloseStatus status)

Required. The close status that must match the close status of an execution for it to meet the criteria of this filter.

Parameters:
  `status` - Required.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `CloseStatus`

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CloseStatusFilter clone()

Overrides:
  `clone` in class `Object`